package model

import (
	"time"
)

type SysPushSms struct {
	Id              int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Content         string    `json:"content" xorm:"not null comment('内容') TEXT"`
	Provider        string    `json:"provider" xorm:"not null default '' comment('短信供应平台,暂时没有') VARCHAR(20)"`
	SendAt          int       `json:"send_at" xorm:"not null default 0 comment('指定发送时间0为马上执行') INT(10)"`
	State           int       `json:"state" xorm:"not null default 0 comment('0发送中,1成功,2失败,3部分成功') TINYINT(1)"`
	Target          int       `json:"target" xorm:"not null default 1 comment('推送目标；1：全部会员；2：指定会员；3：指定等级；4：指定标签') TINYINT(1)"`
	TargetCondition string    `json:"target_condition" xorm:"comment('推送目标条件。json格式；') TEXT"`
	Skip            string    `json:"skip" xorm:"not null default '' comment('跳转功能') VARCHAR(255)"`
	CreateAt        time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt        time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
	Type            string    `json:"type" xorm:"not null default '' comment('模板类型 | 推送类型；public;：普通推送;activity：活动通知；order_self：新订单提醒（导购自购新订单）,order_team：新订单提醒（团队新订单）,order_share：新订单提醒（导购分享新订单）,member_register：团队成员注册成功,level_upgrade：团队成员等级升级成功,withdraw_fail：提现失败提醒,withdraw_success：提现成功提醒,comission_settle_success：佣金结算提醒（平台结算）') VARCHAR(50)"`
}
